%global forgeurl https://gitlab.com/eliggett/wfview
%global commit 85178de1d52cad38db3b4bd93891fb0b1528c6e4

Name:           wfview
Version:        0

%forgemeta -i

Release:        0.1%{?dist}
Summary:        open-source front-end application for some Icom amateur radio
License:        GPL-3.0
URL:            https://wfview.org/
Source0:        %{forgesource}


BuildRequires:  qt5-qtbase-devel
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  qcustomplot-qt5-devel
BuildRequires:  qt5-qtgamepad-devel
BuildRequires:  eigen3-devel
BuildRequires:  rtaudio-devel
BuildRequires:  portaudio-devel
BuildRequires:  opus-devel
BuildRequires:  hidapi-devel
BuildRequires:  systemd-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtserialport-devel

%description
wfview is open-source software for the control of modern Icom radios, including the IC-7300, IC-7610, IC-705, IC-R8600 and IC-9700. USB and LAN are supported.


%prep
%forgesetup

%build
mkdir build
cd build
%qmake_qt5 CONFIG+=debug PREFIX=%{_prefix} DISTDIR=%{_builddir} INSTALL_ROOT=%{buildroot}/ QMAKE_LIBS=/usr/lib64/libqcustomplot-qt5.so.2  ../wfview.pro
%make_build

%install
cd build
%make_install INSTALL_ROOT=%{buildroot}/

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datarootdir}/applications/%{name}.desktop
%{_datarootdir}/icons/hicolor/256x256/apps/%{name}.png
%{_datarootdir}/metainfo/org.wfview.wfview.metainfo.xml
%{_datarootdir}/wfview

%changelog
* Fri Mar 08 2024 Zamir SUN <sztsian@gmail.com> - 0-0.1
- Initial package
